---
- entityDefinitions:
  - IDC_ECDynamicDisplayOption: '{f0614549-adc7-4a1c-8e52-72181846ad08}'

  - IDR_EC_Dynamic_Display_Option__modifies__Element_Content: '{4d091643-2bfc-4b83-b3e4-8a3b22c665a9}'
  - IDR_Element_Content__modified_by__EC_Dynamic_Display_Option: '{659f9aff-790b-45bf-8294-1657116743c4}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class:      '&IDC_ECDynamicDisplayOption;'
    name:      EC Dynamic Display Option
    index:     116
    registerForTemplate: yes
    relationships:
    - instance: '&IDR_EC_Dynamic_Display_Option__modifies__Element_Content;'
      customTagName: 'modifiesElementContents'
    - instance: '&IDR_Dynamic_Display_Option__add__Display_Option;'
      customTagName: 'addsDisplayOptions'
    - instance: '&IDR_Dynamic_Display_Option__remove__Display_Option;'
      customTagName: 'removesDisplayOptions'
    translations:
    - relationship: '&IDR_Class__has_title__Translation;'
      values:
      - languageInstanceId: '&IDI_Language_English;'
        value: 'EC Dynamic Display Option'

  - relationship: '&IDR_EC_Dynamic_Display_Option__modifies__Element_Content;'
    index: 262
    sourceClassId: '&IDC_ECDynamicDisplayOption;'
    type: 'modifies'
    destinationClassId: '&IDC_ElementContent;'
    siblingRelationshipId: '&IDR_Element_Content__modified_by__EC_Dynamic_Display_Option;'
    singular: no

  - relationship: '&IDR_Element_Content__modified_by__EC_Dynamic_Display_Option;'
    index: 261
    sourceClassId: '&IDC_ElementContent;'
    type: 'modified by'
    destinationClassId: '&IDC_ECDynamicDisplayOption;'
    siblingRelationshipId: '&IDR_EC_Dynamic_Display_Option__modifies__Element_Content;'
    singular: no

